<!-- Container-fluid starts-->
<link rel="stylesheet" type="text/css" href="//netdna.bootstrapcdn.com/font-awesome/4.1.0/css/font-awesome.min.css">

<div class="container-fluid">
    <div class="row">
        <div class="col-sm-12">
            <div class="card">
                <div class="card-header">
                    <h5>Mark List</h5>
                    <div class="mouna">

                        <div class="row height d-flex justify-content-center align-items-center">
    
                          <div class="col-md-8">
    
                            <div class="search">
                              <i class="fa fa-search"></i>
                              <input type="text" class="form-control" placeholder="search mark ..." [(ngModel)]="search_name">
                            
                            </div>
                            
                          </div>
                          
                        </div>
                    </div>
                </div>


                
<!-- Modal Ajout-->
                <div class="btn-popup pull-right">
                    <button type="button" class="btn btn-primary" data-toggle="modal" data-original-title="test"
                        data-target="#exampleModal" (click)="open(content)">Add Mark</button>
                    <ng-template #content let-modal>
                        <div class="modal-header">
                            <h5 class="modal-title f-w-600" id="exampleModalLabel">Add Mark</h5>
                            <button type="button" class="close" aria-label="Close"
                                (click)="modal.dismiss('Cross click')">
                                <span aria-hidden="true">&times;</span>
                            </button>
                        </div>
                        <div class="modal-body">
                            <form [formGroup]="addFormMarque" class="needs-validation">
                                <div class="form">
                                    <div class="form-group">
                                        <label  class="mb-1">Mark Name :</label>
                                        <input formControlName="libelle" class="form-control" 
                                            type="text">
                                    </div>
                                      <div class="group-input">
                                        <label  class="mb-1">Image :</label>
                                        <input type="file" (change)="handleFileInput($event)"
                                        name="file"  class="form-control form-control-user"
                                            id="exampleRepeatPassword" placeholder="file">
                                    </div>
                                </div>
                            </form>
                        </div>
                        <div class="modal-footer">
                            <button type="button" class="btn btn-primary" (click)="onAddMarque();modal.dismiss('Cross click')">Save</button>
                            <button class="btn btn-secondary" type="button" data-dismiss="modal"
                                (click)="modal.dismiss('Cross click')">Close</button>
                        </div>
                    </ng-template>
                </div>
                <div id="batchDelete" class="category-table custom-datatable">
                    <div class="container">
                        <div class="row">
                            <div class="col-12 col-sm-12 col-md-12">
                                <div class="card">
                                    <div class="card-body">
                                        <div class="table-responsive" id="proTeamScroll" tabindex="2"
                                            style="height: 400px; overflow: hidden; outline: none;">
                                            <table class="table table-stripe">
                                                <thead>
                                                    <tr>
                                                        <th>Image</th>
                                                        <th>Name</th>
                                                      
                                                        <th>Edit</th>
                                                       
                                                    </tr>
                                                </thead>
                                                <tbody *ngFor="let marq of listmarque| filter:search_name | paginate: { itemsPerPage: 4, currentPage: p }">
                                                   
                                                    <tr>
                                                        <td class="table-img"><img src="http://127.0.0.1:8887/{{marq.img}}" alt="image"/>
                                                        </td>
                                                        <td>
                                                         {{marq.libelle}}
                                                        </td>
                                                 
                                                        <td style="width: 20%;">
                                                            <a (click)="open1(content1,marq)"  class="table-link  text-info">
                                                                <span class="fa-stack" style="color:rgb(14, 172, 14) ;">
                                                                    <i class="fa fa-square fa-stack-2x"></i>
                                                                    <i class="fa fa-pencil fa-stack-1x fa-inverse"></i>
                                                                </span>
                                                            </a>
                                                            <a class="table-link danger"  (click)="onOpenModal(marq.id)"
                                                                data-original-title="delete" data-placement="top"
                                                                data-toggle="tooltip">
                                                                <span class="fa-stack" >
                                                                    <i class="fa fa-square fa-stack-2x" ></i>
                                                                    <i class="fa fa-trash-o fa-stack-1x fa-inverse"></i>
                                                                </span>
                                                            </a>
                                                        </td>
                                                    </tr>
                                                    <!-- Modal Delete-->

                                                    <div class="modal fade" id="deleteMarqueModal" tabindex="-1" role="dialog"
                                                        aria-labelledby="marqueDeleteModalLabel" aria-hidden="true">
                                                        <div class="modal-dialog" role="document">
                                                            <div class="modal-content">
                                                                <div class="modal-header">
                                                                    <h5 class="modal-title" id="deleteMarqueModalLabel">Delete
                                                                     Mark </h5>
                                                                    <button type="button" class="close" data-dismiss="modal"
                                                                        aria-label="Close">
                                                                        <span aria-hidden="true">&times;</span>
                                                                    </button>
                                                                </div>
                                                                <div class="modal-body">
                                                                    <p>Are you sure you want to delete mark ?</p>
                                                                    <div class="modal-footer">
                                                                        <button type="button" class="btn btn-secondary"
                                                                            id="deleteMarqueModal"
                                                                            data-dismiss="modal">No</button>
                                                                        <button class="btn btn-danger"
                                                                            (click)="onDeletMarque(deletMarque?.id)"
                                                                            data-dismiss="modal">Yes</button>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>     
                                                </tbody>
                                            </table>
                                            <pagination-controls (pageChange)="p = $event"></pagination-controls>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<!-- Container-fluid Ends-->


<div class="btn-popup pull-right">
    <ng-template #content1 let-modal>
        <div class="modal-header">
            <h5 class="modal-title f-w-600" id="exampleModalLabel">Update Mark</h5>
            <button type="button" class="close" aria-label="Close"
                (click)="modal.dismiss('Cross click')">
                <span aria-hidden="true">&times;</span>
            </button>
        </div>
        <div class="modal-body">
            <form [formGroup]="addFormMarque1" class="needs-validation">
                <div class="form">
                    <div class="form-group">
                        <label for="validationCustom01" class="mb-1">Mark Name :</label>
                        <input formControlName="libelle" class="form-control" id="validationCustom01"
                            type="text">
                    </div>
                </div>
                <div class="group-input">
                    <input type="file" (change)="handleFileInput($event)"
                    name="file"  class="form-control form-control-user"
                        id="exampleRepeatPassword" placeholder="file">
                </div>
            </form>
        </div>
        <div class="modal-footer">
            <button type="button" class="btn btn-primary" (click)="onUpdateMarque();modal.dismiss('Cross click')">Save</button>
            <button class="btn btn-secondary" type="button" data-dismiss="modal"
                (click)="modal.dismiss('Cross click')">Close</button>
        </div>
    </ng-template>
</div>